package com.ruoyi.ibs.list.service;

import com.ruoyi.ibs.list.domain.FamilyMember;
import com.ruoyi.ibs.list.domain.Member;

import java.util.List;
import java.util.Map;




/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2025-03-03
 */
public interface IFamilyMemberService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param idCard 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public FamilyMember selectFamilyMemberByIdCard(String idCard);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param familyMember 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<FamilyMember> selectFamilyMemberList(FamilyMember familyMember);

    /**
     * 新增【请填写功能名称】
     * 
     * @param familyMember 【请填写功能名称】
     * @return 结果
     */
    public int insertFamilyMember(FamilyMember familyMember);

    /**
     * 修改【请填写功能名称】
     * 
     * @param familyMember 【请填写功能名称】
     * @return 结果
     */
    public int updateFamilyMember(FamilyMember familyMember);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param idCards 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteFamilyMemberByIdCards(String[] idCards);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param idCard 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteFamilyMemberByIdCard(String idCard);

    public Map<String, Object> buildFamilyGraph(String idCard);

    int addRelatePerson(String idCard,String relation, Member familyMember);

    int removeRelatePerson(String idCard);

    int addSelf(Member familyMember);

     List<FamilyMember> selectFamilyMemberListByIdCard(String idCard);

    public Map<String, String> getRelationShipMap();

    // public Map<String, Object> buildFamilyGraphNew(String idCard);
}
